@echo off
setlocal ENABLEEXTENSIONS DISABLEDELAYEDEXPANSION
if not exist "C:\MinGW\" echo MinGW not detected! http://wiki.eduke32.com/wiki/Building_EDuke32_on_Windows
if not exist "C:\MinGW\bin\nasm.exe" echo NASM not detected! http://www.nasm.us/
echo.
mingw-get update
for %%I in (mingw-get mingw32-gcc binutils mingw-runtime mpc mpfr pthreads libgomp libssp libintl libiconv gcc-c++ gcc-core gdb libexpat libgcc libgmp libmpc libmpfr libssp libstdc++ mingwrt w32api msys-bash msys-coreutils msys-make msys-core msys-regex msys-termcap mingw-utils) do (
mingw-get install %%~I
mingw-get upgrade %%~I
)
if exist "C:\MinGW\msys\1.0\bin\make.exe" if exist "C:\MinGW\bin\make.exe" del /q "C:\MinGW\bin\make.exe"
setenv.exe -m PATH>>pathbackup.txt
for /f "tokens=*" %%G in ('setenv.exe -m PATH') do set pathtemp=%%G
if "%~1"=="" setenv -m PATH "%pathtemp:"=%;C:\MinGW\bin;C:\MinGW\msys\1.0\bin"
endlocal
